package net.sf.javaprinciples.resource.servlet;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.sf.javaprinciples.resource.Resource;
import net.sf.javaprinciples.resource.ResourceException;
import net.sf.javaprinciples.resource.ResourceIdentifier;

public class GetHandler<T> extends AbstractHandler<T>
{
    @Override
    public void handleRequest(ResourceModel<T> model, HttpServletRequest request) throws ResourceException
    {
        ResourceIdentifier identifier = identifierParser.parse(request);
        Resource<T> resource = resourceFactory.getResource(identifier);
        if (resource != null)
        {
            model.setResource(resource);
        }
        else
        {
            model.setStatusCode(HttpServletResponse.SC_NOT_FOUND);
        }
    }
}